Debian Bug report logs - #579749
prboom: Screenshots in png?

version graph

Package: prboom; Maintainer for prboom is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for prboom is src:prboom-plus.

Reported by: Nicolas Patrois <nicolas.patrois@gmail.com>

Date: Fri, 30 Apr 2010 12:48:01 UTC

Severity: wishlist

Found in version prboom/2:2.5.0+dfsg1-5

Fixed in version prboom/2:2.5.0+dfsg2-1

Done: Jon Dowland <jmtd@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/tracker/?func=detail&aid=3175680&group_id=3396&atid=353396

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#579749; Package prboom. (Fri, 30 Apr 2010 12:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Patrois <nicolas.patrois@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Fri, 30 Apr 2010 12:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicolas Patrois <nicolas.patrois@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: prboom: Screenshots in png?
Date: Fri, 30 Apr 2010 14:45:15 +0200
Package: prboom
Version: 2:2.5.0+dfsg1-5
Severity: wishlist


PrBoom did not know how to make screenshots in PNG?

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-2-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages prboom depends on:
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib
ii  libgl1-mesa-glx [libgl1]      7.7.1-1    A free implementation of the OpenG
ii  libglu1-mesa [libglu1]        7.7.1-1    The OpenGL utility library (GLU)
ii  libsdl-mixer1.2               1.2.8-6+b1 mixer library for Simple DirectMed
ii  libsdl-net1.2                 1.2.7-2    network library for Simple DirectM
ii  libsdl1.2debian               1.2.13-5   Simple DirectMedia Layer

Versions of packages prboom recommends:
ii  doom-wad-shareware [doom-wad] 1.9-1.1    Shareware game files for the 3D ga
ii  freedm [boom-wad]             0.6.4-4    multiplayer-oriented maps for Doom
ii  freedoom [boom-wad]           0.6.4-4    free game files for the 3D game DO
ii  timidity                      2.13.2-37  Software sound renderer (MIDI sequ

Versions of packages prboom suggests:
pn  game-data-packager            <none>     (no description available)

-- no debconf information






Set Bug forwarded-to-address to 'https://sourceforge.net/tracker/?func=detail&aid=3175680&group_id=3396&atid=353396'. Request was from Jon Dowland <jmtd@debian.org> to control@bugs.debian.org. (Tue, 08 Feb 2011 13:45:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#579749; Package prboom. (Sat, 26 Feb 2011 16:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geoff Simmons <gsimmons@gsimmons.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sat, 26 Feb 2011 16:39:05 GMT) Full text and rfc822 format available.

Message #12 received at 579749@bugs.debian.org (full text, mbox):

From: Geoff Simmons <gsimmons@gsimmons.org>
To: Nicolas Patrois <nicolas.patrois@gmail.com>, 579749@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#579749: prboom: Screenshots in png?
Date: Sun, 27 Feb 2011 03:36:22 +1100
notfound 579749 2:2.5.0+dfsg1-6
thanks

On Fri, Apr 30, 2010 at 02:45:15PM +0200, Nicolas Patrois wrote:
> PrBoom did not know how to make screenshots in PNG?

PrBoom supports PNG screenshots on Linux since version 2.4.1 (and in GL
mode since 2.4.5), provided it is built against libpng, otherwise output
is in the BMP file format.

For architectures other than ia64 on Squeeze, prboom is not built
against libpng.  The version currently available in unstable does write
PNG screenshots.

SourceForge bug #3175680 should probably be closed.

Geoff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#579749; Package prboom. (Fri, 26 Oct 2012 11:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Fri, 26 Oct 2012 11:33:03 GMT) Full text and rfc822 format available.

Message #17 received at 579749@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: 579749@bugs.debian.org
Cc: Geoff Simmons <gsimmons@gsimmons.org>, Nicolas Patrois <nicolas.patrois@gmail.com>
Subject: Re: Bug#579749: prboom: Screenshots in png?
Date: Fri, 26 Oct 2012 13:37:04 +0200
> PrBoom supports PNG screenshots on Linux since version 2.4.1 (and in GL
> mode since 2.4.5), provided it is built against libpng, otherwise output
> is in the BMP file format.
>
> For architectures other than ia64 on Squeeze, prboom is not built
> against libpng.  The version currently available in unstable does write
> PNG screenshots.

I can confirm that prboom is built with support for PNG screenshots 
and that it saves in this format by default. Regarding the build, 
libpng12-dev is currently pulled in by libdirectfb-dev, which is in 
turn pulled in by libsdl1.2-dev. I admit that's a rather fragile 
chain, so maybe libpng-dev should be added as an explicit Build-Depends.

 - Fabian



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#579749; Package prboom. (Fri, 26 Oct 2012 16:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jmtd@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Fri, 26 Oct 2012 16:09:03 GMT) Full text and rfc822 format available.

Message #22 received at 579749@bugs.debian.org (full text, mbox):

From: Jon Dowland <jmtd@debian.org>
To: Fabian Greffrath <fabian@greffrath.com>, 579749@bugs.debian.org
Subject: Re: Bug#579749: prboom: Screenshots in png?
Date: Fri, 26 Oct 2012 17:04:12 +0100
tags 579749 +pending
thanks

On Fri, Oct 26, 2012 at 01:37:04PM +0200, Fabian Greffrath wrote:
> I can confirm that prboom is built with support for PNG screenshots
> and that it saves in this format by default. Regarding the build,
> libpng12-dev is currently pulled in by libdirectfb-dev, which is in
> turn pulled in by libsdl1.2-dev. I admit that's a rather fragile
> chain, so maybe libpng-dev should be added as an explicit
> Build-Depends.

I agree.  (committed)




Added tag(s) pending. Request was from Jon Dowland <jmtd@debian.org> to control@bugs.debian.org. (Fri, 26 Oct 2012 16:09:07 GMT) Full text and rfc822 format available.

Reply sent to Jon Dowland <jmtd@debian.org>:
You have taken responsibility. (Tue, 06 Nov 2012 23:36:03 GMT) Full text and rfc822 format available.

Notification sent to Nicolas Patrois <nicolas.patrois@gmail.com>:
Bug acknowledged by developer. (Tue, 06 Nov 2012 23:36:03 GMT) Full text and rfc822 format available.

Message #29 received at 579749-close@bugs.debian.org (full text, mbox):

From: Jon Dowland <jmtd@debian.org>
To: 579749-close@bugs.debian.org
Subject: Bug#579749: fixed in prboom 2:2.5.0+dfsg2-1
Date: Tue, 06 Nov 2012 23:32:45 +0000
Source: prboom
Source-Version: 2:2.5.0+dfsg2-1

We believe that the bug you reported is fixed in the latest version of
prboom, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 579749@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jon Dowland <jmtd@debian.org> (supplier of updated prboom package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 06 Nov 2012 23:09:00 +0000
Source: prboom
Binary: prboom
Architecture: source amd64
Version: 2:2.5.0+dfsg2-1
Distribution: experimental
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Jon Dowland <jmtd@debian.org>
Description: 
 prboom     - clone of the legendary first person shooter Doom
Closes: 579749
Changes: 
 prboom (2:2.5.0+dfsg2-1) experimental; urgency=low
 .
   * Fix a bashism in fix_upstream.sh and use the
     URW-Bookman-Demi-Bold font for menu graphics in
     preference to Helvetica. Thanks Fabian Greffrath!
   * As a result, generate a new 'upstream' DFSG tarball.
   * Remove build-dependency on libsmpeg-dev which is
     superfluous (handled by libsdl-mixer1.2-dev).
   * Add build-dependency on libpng-dev. It currently links
     against this due to a dependency-of-a-dependency, but
     that might change (and we want this for PNG screenshot
     support). Closes: #579749.
Checksums-Sha1: 
 a8721ba6dcc11194c323ad3ba3f1bbd97b586247 2046 prboom_2.5.0+dfsg2-1.dsc
 82f58f246fb0394c2b1bde1c79ada7fb66187410 1012396 prboom_2.5.0+dfsg2.orig.tar.gz
 a9e61e310871e5361d643598366b89b6a32849a8 10695 prboom_2.5.0+dfsg2-1.diff.gz
 6d4145b9e3e74a0df59df587b425a03a1d08f9e9 516370 prboom_2.5.0+dfsg2-1_amd64.deb
Checksums-Sha256: 
 d97889ad65daca58e4cfad0aa1e51be4f1fd8f4f636900534ed56b3d08e82a7d 2046 prboom_2.5.0+dfsg2-1.dsc
 25c9dd947a738ce840a2081fd01844f2283d95c4e3be52cf397a5760bc9af957 1012396 prboom_2.5.0+dfsg2.orig.tar.gz
 0eccff691642369ab758c1b862bd52119dd8a9a97d45b2f5e9c734ef0ba4d092 10695 prboom_2.5.0+dfsg2-1.diff.gz
 a9ab4c8f7eea18e7b264118181e9bfde96146c9b91c3a6daa05321cce419e1dd 516370 prboom_2.5.0+dfsg2-1_amd64.deb
Files: 
 814305bf7f19c17352a3da731de81d40 2046 games optional prboom_2.5.0+dfsg2-1.dsc
 3ac6c6e02144e2a575a02638fb8d8433 1012396 games optional prboom_2.5.0+dfsg2.orig.tar.gz
 83f9c7a2538d10c4279f858898c63bb5 10695 games optional prboom_2.5.0+dfsg2-1.diff.gz
 c1e7febd356bf59e0964a145080bae8b 516370 games optional prboom_2.5.0+dfsg2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQmZnyAAoJEAkHQJYGqqqq6wsQAM9Dtw/VWHKY5YUkMEh0evVK
6j3BsMRQkes8SiawMHUdnzeZm5Qsg9tAn4gtzr/LoC+W18NErrCVpjd1pp/XPUrI
WbaMQQzAA90eyeI4aLzi0LgT0KYaJcxlSuxapfxY/U3XwsCulRr/LUeQs0MIFfRG
+GQ26kyeUhxAaFc587j5nY07Y5RRlSJIuDFtRD3SBCN2ytOwAQGCxZtQqpcp5JlD
OWevn0d2lHraUSH4Ce2IIxN/paYcAl2d6saQMUMpnrNJEAlArKpOvrwOR6HRAyf3
UWaOUELQ9cxlirm1CxrzKQers67uWPPKCx3y4ddbYPVaGN3jb4kLhjgUCBSXeMZL
EVsr1PwuYL57QEecvwzf/36PRSZcU7MMrHzzarQgc0BINw20zXv23OQXtT3T0ZXs
57QD50wBBSFSeNJDq4ZKdF4WUx5vEN5STwgBSO3DKV4hmGmYVOqfKK+3yWg+SrDH
4KVT7xPtpLuHiv/fm3Dlen3ETQfCBzto/ZiSxa+RGDyCv7wQnDwA6R8ZoMei5702
NmIoFre1iA804xc1ihqnZomGHJjuf4kkCu1eki2O6ZcaLn4/Onuj1UBcIrSom0wS
JugOuBMX8ZSSR6vGu/ZRTcW5J1MpQQyp0hCPa62qvIMzkYkTDny4OGP+QGwmEhAw
cIPgWHXWlfeHXz3uxSAR
=hkoh
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Sep 2013 07:30:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:38:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.